diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/category.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/category.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/category.php	2012-11-17 09:11:29.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/category.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 40,46 ****
  	$defaults = array( 'taxonomy' => 'category' );
  	$args = wp_parse_args( $args, $defaults );
  
! 	$taxonomy = apply_filters( 'get_categories_taxonomy', $args['taxonomy'], $args );
  
  	// Back compat
  	if ( isset($args['type']) && 'link' == $args['type'] ) {
--- 40,55 ----
  	$defaults = array( 'taxonomy' => 'category' );
  	$args = wp_parse_args( $args, $defaults );
  
! 	$taxonomy = $args['taxonomy'];
! 	/**
! 	 * Filter the taxonomy used to retrieve terms when calling get_categories().
! 	 *
! 	 * @since 2.7.0
! 	 *
! 	 * @param string $taxonomy Taxonomy to retrieve terms from.
! 	 * @param array  $args     An array of arguments. @see get_terms()
! 	 */
! 	$taxonomy = apply_filters( 'get_categories_taxonomy', $taxonomy, $args );
  
  	// Back compat
  	if ( isset($args['type']) && 'link' == $args['type'] ) {
***************
*** 133,145 ****
  			$path = '/' . $curcategory->slug . $path;
  		}
  
! 		if ( $path == $full_path )
! 			return get_category( $category->term_id, $output );
  	}
  
  	// If full matching is not required, return the first cat that matches the leaf.
! 	if ( ! $full_match )
! 		return get_category( $categories[0]->term_id, $output );
  
  	return null;
  }
--- 142,160 ----
  			$path = '/' . $curcategory->slug . $path;
  		}
  
! 		if ( $path == $full_path ) {
! 			$category = get_term( $category->term_id, 'category', $output );
! 			_make_cat_compat( $category );
! 			return $category;
! 		}
  	}
  
  	// If full matching is not required, return the first cat that matches the leaf.
! 	if ( ! $full_match ) {
! 		$category = get_term( reset( $categories )->term_id, 'category', $output );
! 		_make_cat_compat( $category );
! 		return $category;
! 	}
  
  	return null;
  }
***************
*** 185,191 ****
   */
  function get_cat_name( $cat_id ) {
  	$cat_id = (int) $cat_id;
! 	$category = get_category( $cat_id );
  	if ( ! $category || is_wp_error( $category ) )
  		return '';
  	return $category->name;
--- 200,206 ----
   */
  function get_cat_name( $cat_id ) {
  	$cat_id = (int) $cat_id;
! 	$category = get_term( $cat_id, 'category' );
  	if ( ! $category || is_wp_error( $category ) )
  		return '';
  	return $category->name;
***************
*** 257,262 ****
--- 272,285 ----
  		return $return;
  	}
  
+ 	/**
+ 	 * Filter the array of term objects returned for the 'post_tag' taxonomy.
+ 	 *
+ 	 * @since 2.3.0
+ 	 *
+ 	 * @param array $tags Array of 'post_tag' term objects.
+ 	 * @param array $args An array of arguments. @see get_terms()
+ 	 */
  	$tags = apply_filters( 'get_tags', $tags, $args );
  	return $tags;
  }
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/category-template.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/category-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/category-template.php	2013-06-21 07:45:11.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/category-template.php	2013-10-02 14:59:10.000000000 -0500
***************
*** 41,47 ****
   */
  function get_category_parents( $id, $link = false, $separator = '/', $nicename = false, $visited = array() ) {
  	$chain = '';
! 	$parent = get_category( $id );
  	if ( is_wp_error( $parent ) )
  		return $parent;
  
--- 41,47 ----
   */
  function get_category_parents( $id, $link = false, $separator = '/', $nicename = false, $visited = array() ) {
  	$chain = '';
! 	$parent = get_term( $id, 'category' );
  	if ( is_wp_error( $parent ) )
  		return $parent;
  
***************
*** 135,141 ****
   */
  function get_the_category_by_ID( $cat_ID ) {
  	$cat_ID = (int) $cat_ID;
! 	$category = get_category( $cat_ID );
  	if ( is_wp_error( $category ) )
  		return $category;
  	return $category->name;
--- 135,141 ----
   */
  function get_the_category_by_ID( $cat_ID ) {
  	$cat_ID = (int) $cat_ID;
! 	$category = get_term( $cat_ID, 'category' );
  	if ( is_wp_error( $category ) )
  		return $category;
  	return $category->name;
***************
*** 225,240 ****
   * As of 2.7, the function can be used anywhere if it is provided a post ID or post object.
   *
   * @since 1.2.0
   *
   * @param int|string|array $category Category ID, name or slug, or array of said.
   * @param int|object $post Optional. Post to check instead of the current post. (since 2.7.0)
   * @return bool True if the current post is in any of the given categories.
   */
  function in_category( $category, $post = null ) {
! 	if ( empty( $category ) )
! 		return false;
! 
! 	return has_term( $category, 'category', $post );
  }
  
  /**
--- 225,238 ----
   * As of 2.7, the function can be used anywhere if it is provided a post ID or post object.
   *
   * @since 1.2.0
+  * @uses has_category()
   *
   * @param int|string|array $category Category ID, name or slug, or array of said.
   * @param int|object $post Optional. Post to check instead of the current post. (since 2.7.0)
   * @return bool True if the current post is in any of the given categories.
   */
  function in_category( $category, $post = null ) {
! 	return has_category( $category, $post );
  }
  
  /**
***************
*** 467,473 ****
  
  		if ( empty( $r['current_category'] ) && ( is_category() || is_tax() || is_tag() ) ) {
  			$current_term_object = get_queried_object();
! 			if ( $r['taxonomy'] == $current_term_object->taxonomy )
  				$r['current_category'] = get_queried_object_id();
  		}
  
--- 465,471 ----
  
  		if ( empty( $r['current_category'] ) && ( is_category() || is_tax() || is_tag() ) ) {
  			$current_term_object = get_queried_object();
! 			if ( $current_term_object && $r['taxonomy'] === $current_term_object->taxonomy )
  				$r['current_category'] = get_queried_object_id();
  		}
  
***************
*** 765,770 ****
--- 763,770 ----
   */
  class Walker_Category extends Walker {
  	/**
+ 	 * What the class handles.
+ 	 *
  	 * @see Walker::$tree_type
  	 * @since 2.1.0
  	 * @var string
***************
*** 772,777 ****
--- 772,779 ----
  	var $tree_type = 'category';
  
  	/**
+ 	 * Database fields to use.
+ 	 *
  	 * @see Walker::$db_fields
  	 * @since 2.1.0
  	 * @todo Decouple this
***************
*** 780,791 ****
  	var $db_fields = array ('parent' => 'parent', 'id' => 'term_id');
  
  	/**
  	 * @see Walker::start_lvl()
  	 * @since 2.1.0
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
! 	 * @param int $depth Depth of category. Used for tab indentation.
! 	 * @param array $args Will only append content if style argument value is 'list'.
  	 */
  	function start_lvl( &$output, $depth = 0, $args = array() ) {
  		if ( 'list' != $args['style'] )
--- 782,797 ----
  	var $db_fields = array ('parent' => 'parent', 'id' => 'term_id');
  
  	/**
+ 	 * Starts the list before the elements are added.
+ 	 *
  	 * @see Walker::start_lvl()
+ 	 *
  	 * @since 2.1.0
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
! 	 * @param int    $depth  Depth of category. Used for tab indentation.
! 	 * @param array  $args   An array of arguments. Will only append content if style argument value is 'list'.
! 	 *                       @see wp_list_categories()
  	 */
  	function start_lvl( &$output, $depth = 0, $args = array() ) {
  		if ( 'list' != $args['style'] )
***************
*** 796,807 ****
  	}
  
  	/**
  	 * @see Walker::end_lvl()
  	 * @since 2.1.0
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
! 	 * @param int $depth Depth of category. Used for tab indentation.
! 	 * @param array $args Will only append content if style argument value is 'list'.
  	 */
  	function end_lvl( &$output, $depth = 0, $args = array() ) {
  		if ( 'list' != $args['style'] )
--- 802,817 ----
  	}
  
  	/**
+ 	 * Ends the list of after the elements are added.
+ 	 *
  	 * @see Walker::end_lvl()
+ 	 *
  	 * @since 2.1.0
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
! 	 * @param int    $depth  Depth of category. Used for tab indentation.
! 	 * @param array  $args   An array of arguments. Will only append content if style argument value is 'list'.
! 	 *                       @wsee wp_list_categories()
  	 */
  	function end_lvl( &$output, $depth = 0, $args = array() ) {
  		if ( 'list' != $args['style'] )
***************
*** 812,824 ****
  	}
  
  	/**
  	 * @see Walker::start_el()
  	 * @since 2.1.0
  	 *
! 	 * @param string $output Passed by reference. Used to append additional content.
  	 * @param object $category Category data object.
! 	 * @param int $depth Depth of category in reference to parents.
! 	 * @param array $args
  	 */
  	function start_el( &$output, $category, $depth = 0, $args = array(), $id = 0 ) {
  		extract($args);
--- 822,838 ----
  	}
  
  	/**
+ 	 * Start the element output.
+ 	 *
  	 * @see Walker::start_el()
+ 	 *
  	 * @since 2.1.0
  	 *
! 	 * @param string $output   Passed by reference. Used to append additional content.
  	 * @param object $category Category data object.
! 	 * @param int    $depth    Depth of category in reference to parents. Default 0.
! 	 * @param array  $args     An array of arguments. @see wp_list_categories()
! 	 * @param int    $id       ID of the current category.
  	 */
  	function start_el( &$output, $category, $depth = 0, $args = array(), $id = 0 ) {
  		extract($args);
***************
*** 884,896 ****
  	}
  
  	/**
  	 * @see Walker::end_el()
  	 * @since 2.1.0
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
! 	 * @param object $page Not used.
! 	 * @param int $depth Depth of category. Not used.
! 	 * @param array $args Only uses 'list' for whether should append to output.
  	 */
  	function end_el( &$output, $page, $depth = 0, $args = array() ) {
  		if ( 'list' != $args['style'] )
--- 898,913 ----
  	}
  
  	/**
+ 	 * Ends the element output, if needed.
+ 	 *
  	 * @see Walker::end_el()
+ 	 *
  	 * @since 2.1.0
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
! 	 * @param object $page   Not used.
! 	 * @param int    $depth  Depth of category. Not used.
! 	 * @param array  $args   An array of arguments. Only uses 'list' for whether should append to output. @see wp_list_categories()
  	 */
  	function end_el( &$output, $page, $depth = 0, $args = array() ) {
  		if ( 'list' != $args['style'] )
***************
*** 925,937 ****
  	var $db_fields = array ('parent' => 'parent', 'id' => 'term_id');
  
  	/**
  	 * @see Walker::start_el()
  	 * @since 2.1.0
  	 *
! 	 * @param string $output Passed by reference. Used to append additional content.
  	 * @param object $category Category data object.
! 	 * @param int $depth Depth of category. Used for padding.
! 	 * @param array $args Uses 'selected' and 'show_count' keys, if they exist.
  	 */
  	function start_el( &$output, $category, $depth = 0, $args = array(), $id = 0 ) {
  		$pad = str_repeat('&nbsp;', $depth * 3);
--- 942,956 ----
  	var $db_fields = array ('parent' => 'parent', 'id' => 'term_id');
  
  	/**
+ 	 * Start the element output.
+ 	 *
  	 * @see Walker::start_el()
  	 * @since 2.1.0
  	 *
! 	 * @param string $output   Passed by reference. Used to append additional content.
  	 * @param object $category Category data object.
! 	 * @param int    $depth    Depth of category. Used for padding.
! 	 * @param array  $args     Uses 'selected' and 'show_count' keys, if they exist. @see wp_dropdown_categories()
  	 */
  	function start_el( &$output, $category, $depth = 0, $args = array(), $id = 0 ) {
  		$pad = str_repeat('&nbsp;', $depth * 3);
***************
*** 1039,1048 ****
   * @return string Term description, available.
   */
  function term_description( $term = 0, $taxonomy = 'post_tag' ) {
! 	if ( !$term && ( is_tax() || is_tag() || is_category() ) ) {
  		$term = get_queried_object();
! 		$taxonomy = $term->taxonomy;
! 		$term = $term->term_id;
  	}
  	$description = get_term_field( 'description', $term, $taxonomy );
  	return is_wp_error( $description ) ? '' : $description;
--- 1058,1069 ----
   * @return string Term description, available.
   */
  function term_description( $term = 0, $taxonomy = 'post_tag' ) {
! 	if ( ! $term && ( is_tax() || is_tag() || is_category() ) ) {
  		$term = get_queried_object();
! 		if ( $term ) {
! 			$taxonomy = $term->taxonomy;
! 			$term = $term->term_id;
! 		}
  	}
  	$description = get_term_field( 'description', $term, $taxonomy );
  	return is_wp_error( $description ) ? '' : $description;
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-feed.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-feed.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-feed.php	2013-07-31 01:53:06.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-feed.php	2013-10-08 15:07:08.000000000 -0500
***************
*** 1,7 ****
  <?php
  
  if ( !class_exists('SimplePie') )
! 	require_once (ABSPATH . WPINC . '/class-simplepie.php');
  
  class WP_Feed_Cache extends SimplePie_Cache {
  	/**
--- 1,7 ----
  <?php
  
  if ( !class_exists('SimplePie') )
! 	require_once( ABSPATH . WPINC . '/class-simplepie.php' );
  
  class WP_Feed_Cache extends SimplePie_Cache {
  	/**
***************
*** 23,29 ****
  	function __construct($location, $filename, $extension) {
  		$this->name = 'feed_' . $filename;
  		$this->mod_name = 'feed_mod_' . $filename;
! 		$this->lifetime = apply_filters('wp_feed_cache_transient_lifetime', $this->lifetime, $filename);
  	}
  
  	function save($data) {
--- 23,39 ----
  	function __construct($location, $filename, $extension) {
  		$this->name = 'feed_' . $filename;
  		$this->mod_name = 'feed_mod_' . $filename;
! 
! 		$lifetime = $this->lifetime;
! 		/**
! 		 * Filter the transient lifetime of the feed cache.
! 		 *
! 		 * @since 2.8.0
! 		 *
! 		 * @param int    $lifetime Cache duration in seconds. Default is 43200 seconds (12 hours).
! 		 * @param string $filename Unique identifier for the cache object.
! 		 */
! 		$this->lifetime = apply_filters( 'wp_feed_cache_transient_lifetime', $lifetime, $filename);
  	}
  
  	function save($data) {
